%define libname %mklibname %name 0

Name: zvbi
Version: 0.2.8
Release: 3mdk
Summary: Raw VBI, Teletext and Closed Caption decoding library
License: GPL
Group: Video
Url: http://zapping.sourceforge.net/
Source0:    http://prdownloads.sourceforge.net/zapping/%name-%version.tar.bz2
Patch0: zvbi-0.2.7-libtool.patch.bz2
Patch1: zvbi-0.2.5-64bit-fixes.patch.bz2
Patch2: zvbi-0.2.7-fix-build.patch.bz2
Patch3: zvbi-0.2.8-fix-build.patch.bz2
Buildroot: %_tmppath/%name-root
PreReq: /sbin/install-info
BuildRequires:	autoconf2.5 automake1.8
BuildRequires:	XFree86-devel
BuildRequires:	gtk-doc
BuildRequires:	libpng-devel
BuildRequires:	libunicode-devel
BuildRequires:	doxygen
Requires: libunicode >= 0.4
Requires: gettext >= 0.10.36

%description
Non versionated files of zvbi, mainly libzvbi0 translations

%package -n %{libname}
Summary: Raw VBI, Teletext and Closed Caption decoding library
Group: Video
%description -n %{libname}
This library provides routines to

VBI stands for Vertical Blanking Interval, a gap between the image
data transmitted in an analog video signal. This gap is used to
transmit AM modulated data for various data services like Teletext and
Closed Caption.

The zvbi library provides routines to:
* read from raw VBI sampling devices (both V4L and V4L2 API are supported),
* a versatile raw vbi bit slicer,
* decoders for various data services and basic search,
* demodulate raw to sliced VBI data,
* interpret the data of several popular services.
* render and export functions for text pages.

The library is the vbi decoding backbone of the Zapping Gnome TV viewer
and Zapzilla Teletext browser.


%package -n %{libname}-devel                                   
Summary: Header files for developing apps which will use libzvbi
Group: Development/C
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel
Obsoletes: %{name}-devel
%description -n %{libname}-devel
Header files and static library of bzip2 functions, for developing apps which
will use the zvbi library (aka libzvbi)


%package devel
Summary:	Zvbi library headers files
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	libunicode-devel

%description devel
Header files and documentation for the support library for the zvbi
library.

%prep
%setup -q
%patch0 -p1 -b .libtool
%patch1 -p1 -b .64bit-fixes
%patch2 -p1 -b .build
%patch3 -p1 -b .build2

%build
aclocal-1.8 -I m4
automake-1.8 -a -c
autoconf
%configure2_5x
# gtkdoc fix:
cp /usr/share/gtk-doc/data/gtkdoc-common.pl doc/
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(644,root,root,755)
%doc COPYING

%files -n %libname
%defattr (-, root, root)
%doc AUTHORS COPYING NEWS README
%_libdir/libzvbi*.so.*

%files -n %{libname}-devel                                     
%defattr(644,root,root,755)
%doc BUGS ChangeLog COPYING TODO doc/html
%_libdir/lib*.so
%_libdir/lib*.la
%_libdir/lib*.a
%_includedir/libzvbi.h


%changelog
* Fri Aug 13 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.8-3mdk
- fix autotools calls

* Mon Aug 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-2mdk
- remove debug messages :-)

* Mon Aug 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-1mdk
- new release
- patch 3: fix build system again

* Mon Aug 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-1mdk
- new release
- redo patch 0
- patch 2: fix build system
- fix build

* Wed Dec 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-1mdk
- new release
- rediff patch 1 (partially merged)

* Fri Oct 24 2003 Stefan van der Eijk <stefan@eijk.nu> 0.2.4-5mdk
- BuildRequires

* Thu Sep 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.4-4mdk
- libtool & 64-bit fixes

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.4-3mdk
- rebuild

* Tue Apr 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-2mdk
- make it %%mklibname aware
- require doxygen in order to be able to generate the doc
- fix build broken by latest gtk-doc

* Fri Apr 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.4-1mdk
- new release

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.3-1mdk
- new release

* Wed Oct 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2-1mdk
- new release

* Mon Jun 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.1-1mdk
- new release
- moves translations to zvbi package

* Wed Jun 05 2002 Stefan van der Eijk <stefan@eijk.nu> 0.1.1-2mdk
- BuildRequires

* Thu Apr 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.1-1mdk
- initial release
